# Mark a notification read

> POST /me/notifications/{notificationId}/read

Source: https://mockflow.com/developers/reference/me/read-notification

**POST** `https://api.mockflow.com/v1/me/notifications/{notificationId}/read`  
Scopes: `user:read`

**curl**

```bash
curl https://api.mockflow.com/v1/me/notifications/string/read \
  -X POST \
  -H "Authorization: Bearer $MOCKFLOW_API_KEY"
```

**JavaScript**

```javascript
const response = await fetch("https://api.mockflow.com/v1/me/notifications/string/read", {
  method: "POST",
  headers: {
    Authorization: `Bearer ${process.env.MOCKFLOW_API_KEY}`
  }
});

const data = await response.json();
```

**Python**

```python
import os, requests

response = requests.post(
    "https://api.mockflow.com/v1/me/notifications/string/read",
    headers={"Authorization": f"Bearer {os.environ['MOCKFLOW_API_KEY']}"},
)

response.raise_for_status()
data = response.json()
```

**200**

```json
{
  "id": "string",
  "type": "string",
  "from": {
    "email": "string",
    "name": "Q4 Launch Planning"
  },
  "boardId": "brd_3f9e2a",
  "boardTitle": "Q4 Launch Planning",
  "spaceId": "spc_92kd"
}
```

**429**

```json
{
  "error": {
    "code": "rate_limited",
    "message": "Too many requests.",
    "docsUrl": "https://mockflow.com/developers/concepts/errors#rate_limited"
  },
  "requestId": "req_45d49816999bac40"
}
```

### Authorization

- `Authorization` (string, required): `Bearer <key>`. The key needs `user:read` scope. Create and manage keys in the [developer console](/developers/console/); what each scope unlocks is on the [scopes page](/developers/concepts/scopes).

### Path parameters

- `notificationId` (string, required)

### Response

- `id` (string)
- `type` (string): COMMENTED, UPDATED and the rest of the product's log types.
- `from` (object): - `email` (string)
  - `name` (string)
- `boardId` (string | null)
- `boardTitle` (string | null)
- `spaceId` (string | null)
- `spaceTitle` (string | null)
- `text` (string)
- `read` (boolean)
- `at` (string)

### Errors

- 429 `rate_limited`: Too many requests.
